Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.alui.proxy
Interface IProxyUser

public interface IProxyUser

Represents the current user requesting the pagelet Generally, a pagelet can obtain an `IProxyUser` from `IProxyContext.getUser()`.

Method Summary
`java.util.Enumeration` | `getRoles()` Get an `Iterator` of the roles associated with this user.
`int` | `getUserID()` Returns the portal User object ID for the current user
`java.lang.String` | `getUserName()` Returns the portal user name for the current user
`boolean` | `isAnonymous()` Returns whether the current user is an Anonymous user.
`boolean` | `isUserInRole(java.lang.String role)` Get a boolean that describes whether the user currently is included in the specified role.

Method Detail

### getUserID

    public int getUserID()

  Returns the portal User object ID for the current user

  Returns:
    the User object ID for the current user
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getUserName

    public java.lang.String getUserName()

  Returns the portal user name for the current user

  Returns:
    the portal user name for the current user
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### getRoles

    public java.util.Enumeration getRoles()

  Get an `Iterator` of the roles associated with this user. This iterator contains the names of roles as `String`s.

  Returns:
    the roles associated with this user
  Throws:
    `NotGatewayedException` - if the request is not gatewayed
    `ProtocolNotSupportedException` - if used with a version of the portal that does not support this feature

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Get a boolean that describes whether the user currently is included in the specified role. If the user is not authenticated, this method returns `false`.

  Parameters:
    `role` - the role to query
  Returns:
    `true` if the user is included in the role; `false` otherwise
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

### isAnonymous

    public boolean isAnonymous()

  Returns whether the current user is an Anonymous user.

  Returns:
    `true` if and only if the user is Anonymous.
  Throws:
    `NotGatewayedException` - if the request is not gatewayed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.